Subject: bug#50497: [PATCH] Adding eww-{next,previous,up,top}-path.

From: Juri Linkov <[email-masked]>
Date: Fri, 10 Sep 2021 19:10:23 +0300

>> I often find myself wanting to navigate paginated web pages
>> (e.g. <https://media.libreplanet.org/videos?page=4>), or to go up or
>> all the way up when visiting a web page, which is why I added these
>> functions to my eww.
>>
>> Does this change make sense?  If so I will amend the patch to include
>> tests, doc and bug number.
>
> I'm not sure this is general enough to include in eww -- these are
> commands that will fail in 99.7% of all web pages, because they don't
> have URLs that are structured this way.

Actually, the same 99.7% of all web pages doesn't provide special
attributes "next"/"previous"/"up" used by 'n'/'p'/'u' eww commands.
So using URL regexp matching as a fallback for other 99.7% of web pages
that don't have numbers in URL will support (100% - 99.7%) * 2 pages.